Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.local.stream
Class LocalGroupByGate

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
              cascading.flow.stream.SpliceGate
                  cascading.flow.stream.MemorySpliceGate
                      cascading.flow.local.stream.LocalGroupByGate

All Implemented Interfaces:
  Collapsing, ElementDuct

    public class LocalGroupByGate

extends MemorySpliceGate

Nested Class Summary

Nested classes/interfaces inherited from class cascading.flow.stream.MemorySpliceGate
`MemorySpliceGate.DelegatedTuple`

Nested classes/interfaces inherited from class cascading.flow.stream.SpliceGate
`SpliceGate.Role`

Field Summary

Fields inherited from class cascading.flow.stream.MemorySpliceGate
`closure, count, groupComparators, groupHasher, keys, keyValues, nullsAreNotEqual, numIncomingPaths, posMap, valueComparators`

Fields inherited from class cascading.flow.stream.SpliceGate
`flowProcess, grouping, incomingScopes, keyBuilder, keyEntry, keyFields, orderedPrevious, outgoingScopes, role, sortBuilder, sortFields, splice, tupleEntryIterator, valuesBuilder, valuesFields`

Fields inherited from class cascading.flow.stream.Gate
`allPrevious`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`LocalGroupByGate(FlowProcess flowProcess, Splice splice)`

Method Summary
`void` | `complete(Duct previous)`
`protected boolean` | `isBlockingStreamed()`
`void` | `prepare()`
`void` | `receive(Duct previous, TupleEntry incomingEntry)`
`void` | `start(Duct previous)`

Methods inherited from class cascading.flow.stream.MemorySpliceGate
`bind, createDefaultNarrowBuilder, createKeySet, createKeyValuesArray, createTupleMap, getDelegatedTuple, getKeyComparator, initialize`

Methods inherited from class cascading.flow.stream.SpliceGate
`addIncomingScope, addOutgoingScope, cleanup, createNarrowBuilder, createNulledBuilder, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, makePosMap, orderDucts, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Gate
`getAllPreviousFor`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalGroupByGate

    public LocalGroupByGate(FlowProcess flowProcess,
                            Splice splice)

Method Detail

### isBlockingStreamed

    protected boolean isBlockingStreamed()

  Specified by:
    `isBlockingStreamed` in class `MemorySpliceGate`

### prepare

    public void prepare()

  Overrides:
    `prepare` in class `MemorySpliceGate`

### start

    public void start(Duct previous)

  Overrides:
    `start` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### receive

    public void receive(Duct previous,
                        TupleEntry incomingEntry)

  Specified by:
    `receive` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### complete

    public void complete(Duct previous)

  Overrides:
    `complete` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.